# Generated by Django 3.2.11 on 2022-01-17 12:08

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('applications', '0013__custom__tenant_slug'),
    ]

    operations = [
        migrations.CreateModel(
            name='DeadLetter',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('tenant_sdc_id', models.UUIDField(verbose_name='tenant SDC ID')),
                ('service_sdc_id', models.UUIDField(verbose_name='service SDC ID')),
                ('application_sdc_id', models.UUIDField(verbose_name='application SDC ID')),
                ('state', models.CharField(choices=[('new', 'new'), ('queued', 'queued'), ('failed', 'failed')], default='new', max_length=32, verbose_name='state')),
                ('data', models.JSONField(verbose_name='data')),
                ('is_deleted', models.BooleanField(default=False)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
